Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hmef
Class HMEFMessage

    java.lang.Object
      org.apache.poi.hmef.HMEFMessage

    public final class HMEFMessage

extends java.lang.Object

HMEF - Implementation of the Microsoft TNEF message encoding format (aka winmail.dat) See: http://support.microsoft.com/kb/241538 http://en.wikipedia.org/wiki/Transport_Neutral_Encapsulation_Format http://search.cpan.org/dist/Convert-TNEF/

Field Summary
`static long` | `HEADER_SIGNATURE`

Constructor Summary
`HMEFMessage(java.io.InputStream inp)`

Method Summary
`java.util.List` | `getAttachments()` Returns all the Attachments of the message.
`java.lang.String` | `getBody()` Returns the Message Body, as RTF, or null if the mapi property for this isn't set
`TNEFAttribute` | `getMessageAttribute(TNEFProperty id)` Return the message attribute with the given ID, or null if there isn't one.
`java.util.List` | `getMessageAttributes()` Returns all HMEF/TNEF attributes of the message.
`MAPIAttribute` | `getMessageMAPIAttribute(MAPIProperty id)` Return the message MAPI Attribute with the given ID, or null if there isn't one.
`java.util.List` | `getMessageMAPIAttributes()` Returns all MAPI attributes of the message.
`java.lang.String` | `getSubject()` Returns the Message Subject, or null if the mapi property for this isn't set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_SIGNATURE

    public static final long HEADER_SIGNATURE

See Also:
  Constant Field Values

Constructor Detail

### HMEFMessage

    public HMEFMessage(java.io.InputStream inp)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getMessageAttributes

    public java.util.List getMessageAttributes()

  Returns all HMEF/TNEF attributes of the message. Note - In a typical message, most of the interesting properties are stored as `MAPIAttribute`s - see `getMessageMAPIAttributes()`

### getMessageMAPIAttributes

    public java.util.List getMessageMAPIAttributes()

  Returns all MAPI attributes of the message. Note - A small number of HMEF/TNEF specific attributes normally apply to most messages, see `getMessageAttributes()`

### getAttachments

    public java.util.List getAttachments()

  Returns all the Attachments of the message.

### getMessageAttribute

    public TNEFAttribute getMessageAttribute(TNEFProperty id)

  Return the message attribute with the given ID, or null if there isn't one.

### getMessageMAPIAttribute

    public MAPIAttribute getMessageMAPIAttribute(MAPIProperty id)

  Return the message MAPI Attribute with the given ID, or null if there isn't one.

### getSubject

    public java.lang.String getSubject()

  Returns the Message Subject, or null if the mapi property for this isn't set

### getBody

    public java.lang.String getBody()

  Returns the Message Body, as RTF, or null if the mapi property for this isn't set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD